Subject: bug#6226: closed (Re: bug#6226: Please add a customizable option to NOT call tramp for every sudo command)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 May 2010 10:24:02 +0000

Your bug report

#6226: Please add a customizable option to NOT call tramp for every sudo  command

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6226: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6226
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6226: Please add a customizable option to NOT call tramp for every sudo command
From: Michael Albinus <[email-masked]>
To: Thierry Volpiatto <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 May 2010 12:16:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Thierry Volpiatto <[email-masked]> writes:

> OTOH adding an alias to su/sudo can solve problem:
>
> alias sudo *sudo -p Password: $*
> alias su LC_ALL=C *su -l

Excellent. Aliases stay persistent, so it is the complete solution. I've
added this to eshell.texi.

Best regards, Michael.

Subject: Please add a customizable option to NOT call tramp for every sudo command
From: Ken Hori <[email-masked]>
To: [email-masked]
Date: Wed, 19 May 2010 21:42:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I've recently noticed Eshell is now calling tramp for every sudo
command. Tramp is very slow, and I believe for most cases tramp
intermediation is unnecessary.

Could we please add a customizable switch to enable/disable
eshell/sudo? Disabling eshell/sudo by default would be even better.